summaryrefslogtreecommitdiff
path: root/contrib/report.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2011-12-21 09:56:42 +0000
committerChristian Grothoff <christian@grothoff.org>2011-12-21 09:56:42 +0000
commit6381145c3f6714dcf6cda24751c73a397a9f3f51 (patch)
tree84b88a2907acba60370d8d5f35fc7ae70ce0ff44 /contrib/report.sh
parentc4f0fe3ea5a5ca3ce1f7dfecef719da631e4c6ac (diff)
add version reporting for MHD to report.sh
Diffstat (limited to 'contrib/report.sh')
-rwxr-xr-xcontrib/report.sh17
1 files changed, 14 insertions, 3 deletions
diff --git a/contrib/report.sh b/contrib/report.sh
index cde7aa805..37a1c41ad 100755
--- a/contrib/report.sh
+++ b/contrib/report.sh
@@ -181,9 +181,20 @@ else
echo "Qt : Not found"
fi
-
-
-
+echo -n "MHD : "
+TMPFILE=`mktemp /tmp/mhd-version-testXXXXXX`
+cat - >$TMPFILE.c <<EOF
+#include <microhttpd.h>
+#include <stdio.h>
+int main()
+{
+ fprintf (stdout, "%X\n", MHD_VERSION);
+ return 0;
+}
+EOF
+
+gcc -o $TMPFILE $TMPFILE.c 2> /dev/null && $TMPFILE || echo "Not found"
+rm -f $TMPFILE $TMPFILE.bin
echo "--------------------------------------------------------------"